AGE-PLUGIN-YUBIKEY(1)

NAME
age-plugin-yubikey - An age plugin adding support for YubiKeys and other PIV hardware tokens

SYNOPSIS
age-plugin-yubikey [FLAGS]

FLAGS

-h, --help
    Display help text and exit.

-V, --version
    Display version info and exit.

-f, --force
    Force --generate to overwrite a filled slot.

-g, --generate
    Generate a new YubiKey identity.

-i, --identity
    Print identities stored in connected YubiKeys.

-l, --list
    List recipients for age identities in connected YubiKeys.

--list-all
    List recipients for all YubiKey keys that are compatible with age.

--name
    Name for the generated identity. Defaults to 'age identity HEX_TAG'.

--pin-policy
    One of [always, once, never]. Defaults to 'once'.

--serial
    Specify which YubiKey to use, if more than one is plugged in.

--slot
    Specify which slot to use. Defaults to first usable slot.

--touch-policy
    One of [always, cached, never]. Defaults to 'always'.

EXIT STATUS

0   Successful program execution.

1   Unsuccessful program execution.

101 The program panicked.

AUTHOR

    Jack Grigg <thestr4d@gmail.com>